Subject: bug#14028: 24.3; After customize-project inference rules, and restart, ede-object becomes nil

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 19:58:12 +0100

Cedric Porter <[email-masked]> writes:

> I add a very simple inference rules in "Default" tab under
> (customize-project).
>
> ```
> Target: test
> rules: echo test
> ```
>
> And after I restart emacs, and under main.c of ede project, I got
> "ede-invoke-method: Cannot invoke project-compile-target for main.c"
> when I press `C-c . c`.
>
> I found that ede-object is nil.

(This bug report unfortunately got no response at the time.)

Do you have a step by step recipe to reproduce this bug, starting from
"emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no